DatadirCleanupManager.PurgeTaskStatus (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Enum DatadirCleanupManager.PurgeTaskStatus

- java.lang.Object
- - java.lang.Enum<DatadirCleanupManager.PurgeTaskStatus>
  - - org.apache.zookeeper.server.DatadirCleanupManager.PurgeTaskStatus

- All Implemented Interfaces:
    Serializable, Comparable<DatadirCleanupManager.PurgeTaskStatus>
  Enclosing class:
    DatadirCleanupManager

      public static enum DatadirCleanupManager.PurgeTaskStatus
      extends Enum<DatadirCleanupManager.PurgeTaskStatus>

  Status of the dataDir purge task

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETED`
    `NOT_STARTED`
    `STARTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatadirCleanupManager.PurgeTaskStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DatadirCleanupManager.PurgeTaskStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_STARTED

          public static final DatadirCleanupManager.PurgeTaskStatus NOT_STARTED

    - #### STARTED

          public static final DatadirCleanupManager.PurgeTaskStatus STARTED

    - #### COMPLETED

          public static final DatadirCleanupManager.PurgeTaskStatus COMPLETED

  - ### Method Detail

    - #### values

          public static DatadirCleanupManager.PurgeTaskStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatadirCleanupManager.PurgeTaskStatus c : DatadirCleanupManager.PurgeTaskStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatadirCleanupManager.PurgeTaskStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.